Posts by uaytac

    Hello,


    I am getting a error message when I try to update a stack. Error message is

    Failure

    failed to pull images of the stack: services.rutorrent.volumes must be a list

    What is the solution this problem?


    My stack detail is as below.


    version: "2.1"

    services:

    rutorrent:

    image: ghcr.io/linuxserver/rutorrent

    container_name: rutorrent

    environment:

    - PUID=1000

    - PGID=100

    volumes:

    -/srv/dev-disk-by-uuid-5fc4aba3-caa4-4e05-9ec0-d976236fa6eb/MyServerFiles/appdata/rutorrent:/config

    -/srv/dev-disk-by-uuid-5fc4aba3-caa4-4e05-9ec0-d976236fa6eb/MyServerFiles/Downloads:/downloads

    ports:

    - 90:80

    - 5000:5000

    - 51413:51413

    - 6881:6881/udp

    restart: unless-stopped

    Hello,


    I am getting above error message when I try to press Apply button.


    Any idea for the solution.


    500 - Internal Server Error

    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; export LANGUAGE=; omv-salt deploy run --no-color samba 2>&1' with exit code '1': debian: ---------- ID: configure_samba_global Function: file.managed Name: /etc/samba/smb.conf Result: True Comment: File /etc/samba/smb.conf is in the correct state Started: 20:30:28.025322 Duration: 97.683 ms Changes: ---------- ID: configure_samba_shares Function: file.append Name: /etc/samba/smb.conf Result: False Comment: An exception occurred in this state: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 732, in execute self._response = self._response[0] IndexError: list index out of range During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/salt/utils/templates.py", line 497, in render_jinja_tmpl output = template.render(**decoded_context) File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 1090, in render self.environment.handle_exception() File "/usr/lib/python3/dist-packages/jinja2/environment.py", line 832, in handle_exception reraise(*rewrite_t...

    Hello,

    After deploying below stack.

    mariadb log shows below error.


    /bin/sh: can't open '/usr/bin/mysqld_safe': Permission denied


    I have swag and wireguard too.

    My configuration is below.


    /

    version: "2.1"

    services:

    mariadb:

    image: ghcr.io/linuxserver/mariadb

    container_name: mariadb

    environment:

    - PUID=1000

    - PGID=100

    - MYSQL_ROOT_PASSWORD=passwrd.

    - TZ=Europe/Istanbul

    - MYSQL_DATABASE=wp_database

    - MYSQL_USER=edis

    - MYSQL_PASSWORD=passwd2.

    volumes:

    - /MyFiles/appdata/mariadb:/config

    restart: unless-stopped

    Hello,

    I have updated my system with apt-get update and upgrade but cannot see diskclone in plugins.

    Outputs are below.



    root@omv:~# cat /etc/apt/sources.list.d/omvextras.list

    deb https://openmediavault-plugin-…github.io/packages/debian shaitan m ain

    deb [arch=amd64] https://download.docker.com/linux/debian bullseye stable

    deb http://linux.teamviewer.com/deb stable main



    root@omv:~# sudo omv-salt deploy run omvextras

    debian:

    ----------

    ID: omvextrasbaserepo

    Function: pkgrepo.managed

    Name: deb https://openmediavault-plugin-…github.io/packages/debian shaitan main

    Result: True

    Comment: Package repo 'deb https://openmediavault-plugin-…github.io/packages/debian shaitan main' already configured

    Started: 20:51:54.790113

    Duration: 236.828 ms

    Changes:

    ----------

    ID: deb https://openmediavault-plugin-…github.io/packages/debian shaitan-testing main

    Function: pkgrepo.absent

    Result: True

    Comment: Package repo deb https://openmediavault-plugin-…github.io/packages/debian shaitan-testing main is absent

    Started: 20:51:55.027148

    Duration: 87.814 ms

    Changes:

    ----------

    ID: deb [arch=amd64] https://download.docker.com/linux/debian bullseye stable

    Function: pkgrepo.managed

    Result: True

    Comment: Package repo 'deb [arch=amd64] https://download.docker.com/linux/debian bullseye stable' already configured

    Started: 20:51:55.115156

    Duration: 208.387 ms

    Changes:

    ----------

    ID: deb http://linux.teamviewer.com/deb stable main

    Function: pkgrepo.managed

    Result: True

    Comment: Package repo 'deb http://linux.teamviewer.com/deb stable main' already configured

    Started: 20:51:55.323736

    Duration: 158.718 ms

    Changes:

    ----------

    ID: configure_apt_pref_omvextras

    Function: file.managed

    Name: /etc/apt/preferences.d/omvextras.pref

    Result: True

    Comment: File /etc/apt/preferences.d/omvextras.pref is in the correct state

    Started: 20:51:55.484243

    Duration: 71.528 ms

    Changes:

    ----------

    ID: refresh_database_apt

    Function: module.run

    Result: True

    Comment: pkg.refresh_db: Success

    Started: 20:51:55.556591

    Duration: 6128.297 ms

    Changes:

    ----------

    pkg.refresh_db:

    ----------

    file:/var/cache/openmediavault/archives InRelease:

    False

    file:/var/cache/openmediavault/archives Packages:

    True

    file:/var/cache/openmediavault/archives Release:

    False

    file:/var/cache/openmediavault/archives Translation-en:

    False

    http://deb.debian.org/debian bullseye InRelease:

    None

    http://deb.debian.org/debian bullseye-updates InRelease:

    None

    http://httpredir.debian.org/debian bullseye-backports InRelease:

    None

    http://linux.teamviewer.com/deb stable InRelease:

    None

    http://packages.openmediavault.org/public shaitan InRelease:

    None

    http://security.debian.org/debian-security bullseye-security InRelease:

    None

    https://download.docker.com/linux/debian bullseye InRelease:

    None

    https://openmediavault-plugin-…github.io/packages/debian shaitan InRelease:

    None

    https://openmediavault.github.io/packages shaitan InRelease:

    None


    Summary for debian

    ------------

    Succeeded: 6 (changed=1)

    Failed: 0

    ------------

    Total states run: 6

    Total run time: 6.892 s





    Thanks

    You can still access Portainer and Rutorrent from Outside Internet?


    If you can, then it makes no sense why you can't get OMV.

    Yes, I can access both rutorrent and portainer. I used both portainer and rutorrent's conf files. It should work but it did not work.

    It was working with omv5, after I update to omv6,it did not work, so I installed fresh system from omv6 iso. but still cannot access to omv gui.


    Now I have to sleep, tomorrow I will try again, if problem continues then I use subdomain conf file.


    Thank you for your help.

    Post the contents of your portainer.subfolder.conf if it's working

    ## Version 2020/12/09

    # portainer does not require a base url setting


    location /portainer {

    return 301 $scheme://$host/portainer/;

    }


    location ^~ /portainer/ {

    # enable the next two lines for http auth

    #auth_basic "Restricted";

    #auth_basic_user_file /config/nginx/.htpasswd;


    # enable the next two lines for ldap auth, also customize and enable ldap.conf in the default conf

    #auth_request /auth;

    #error_page 401 =200 /ldaplogin;


    # enable for Authelia, also enable authelia-server.conf in the default site config

    #include /config/nginx/authelia-location.conf;


    include /config/nginx/proxy.conf;

    resolver 127.0.0.11 valid=30s;

    set $upstream_app 192.168.0.100;

    set $upstream_port 9000;

    set $upstream_proto http;

    proxy_pass $upstream_proto://$upstream_app:$upstream_port;


    rewrite /portainer(.*) $1 break;

    proxy_hide_header X-Frame-Options; # Possibly nott needed after Portainer 1.20.0

    }


    location ^~ /portainer/api/websocket/ {

    include /config/nginx/proxy.conf;

    resolver 127.0.0.11 valid=30s;

    set $upstream_app 192.168.0.100;

    set $upstream_port 9000;

    set $upstream_proto http;

    proxy_pass $upstream_proto://$upstream_app:$upstream_port;


    rewrite /portainer(.*) $1 break;

    proxy_hide_header X-Frame-Options; # Possibly not needed after Portainer 1.20.0

    }

    docker logs -f swag 

    User uid: 1000

    User gid: 100

    -------------------------------------


    [cont-init.d] 10-adduser: exited 0.

    [cont-init.d] 20-config: executing...

    [cont-init.d] 20-config: exited 0.

    [cont-init.d] 30-keygen: executing...

    using keys found in /config/keys

    [cont-init.d] 30-keygen: exited 0.

    [cont-init.d] 50-config: executing...

    Variables set:

    PUID=1000

    PGID=100

    TZ=

    URL=xxx.duckdns.org

    SUBDOMAINS=

    EXTRA_DOMAINS=

    ONLY_SUBDOMAINS=false

    VALIDATION=http

    CERTPROVIDER=

    DNSPLUGIN=

    EMAIL=xxxx@hotmail.com

    STAGING=


    Using Let's Encrypt as the cert provider

    No subdomains defined

    E-mail address entered: xxx@hotmail.com

    http validation is selected

    Certificate exists; parameters unchanged; starting nginx

    Starting 2019/12/30, GeoIP2 databases require personal license key to download. Please retrieve a free license key from MaxMind,

    and add a new env variable "MAXMINDDB_LICENSE_KEY", set to your license key.

    [cont-init.d] 50-config: exited 0.

    [cont-init.d] 60-renew: executing...

    The cert does not expire within the next day. Letting the cron script handle the renewal attempts overnight (2:08am).

    [cont-init.d] 60-renew: exited 0.

    [cont-init.d] 70-templates: executing...

    **** The following reverse proxy confs have different version dates than the sam ples that are shipped. ****

    **** This may be due to user customization or an update to the samples. ****

    **** You should compare them to the samples in the same folder to make sure you have the latest updates. ****

    /config/nginx/proxy-confs/rutorrent.subfolder.conf

    /config/nginx/proxy-confs/portainer.subfolder.conf


    [cont-init.d] 70-templates: exited 0.

    [cont-init.d] 90-custom-folders: executing...

    [cont-init.d] 90-custom-folders: exited 0.

    [cont-init.d] 99-custom-files: executing...

    [custom-init] no custom files found exiting...

    [cont-init.d] 99-custom-files: exited 0.

    [cont-init.d] done.

    [services.d] starting services

    [services.d] done.

    Server ready

    You somehow installed the OMV 5.x version of the plugin on OMV 6.x.


    sudo omv-salt deploy run omvextras

    sudo apt-get update

    sudo apt-get dist-upgrade

    Great job. it solved the problem.

    Now I can also see omv-extras under System tab (it is another problem after upgrading omb5 to omv6 which I did not mention in the forum).

    Thank you @ryecoaaron

    What is the output of

    dpkg -l | grep minidlna

    output is


    root@openmediavault:~# dpkg -l | grep minidlna


    ii minidlna 1.3.0+dfsg-2 amd64 lightweight DLNA/UPnP-AV server targeted at embedded systems

    ii openmediavault-minidlna 5.0.5 all

    OpenMediaVault miniDLNA (DLNA server) plugin

    root@openmediavault:~#

    Then it didn't install correctly. What is the output of: sudo apt-get -f install

    Output of the command is :

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.